# Content pick

A decision block that lets the user choose content provided by other apps.

The fiber will pause until the user has chosen some content, cancelled the dialog or the timeout expired.

Note! The assigned content URI may not be a file nor accessible by any other app, use the Content copy block to extract the content to external storage.

## Input arguments

- Content MIME type — MIME type of content to choose, default is any content.
- Persistent — whether to use Storage Access Framework, for content that must be accessible over a longer period of time (Android 4.4+).
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Content URI — variable to assign the URI of the chosen data.
- Content MIME type — variable to assign the actual type of the chosen content, if provided.